jekyll-assets

22 0 0

:art: Asset pipelines for Jekyll.

Dependencies

Package Locked Requirement Latest Status Changelog
Gems activesupport ~> 5.0 5.1.4

activesupport

A toolkit of support libraries and Ruby core extensions extracted from the Rails framework. Rich support for multibyte strings, internationalization, time zones, and testing.

This dependency is up-to-date. Congrats and keep going!

Gems autoprefixer-rails >= 0 7.1.6

autoprefixer-rails

Parse CSS and add vendor prefixes to CSS rules using values from the Can I Use website.

This dependency is up-to-date. Congrats and keep going!

Gems babel-transpiler >= 0 0.7.0

babel-transpiler

Ruby Babel is a bridge to the JS Babel transpiler.

This dependency is up-to-date. Congrats and keep going!

Gems bootstrap >= 0 4.0.0.beta2.1

bootstrap

The most popular HTML, CSS, and JavaScript framework for developing responsive, mobile first projects on the web. http://getbootstrap.com

Gems execjs ~> 2.7 2.7.0

execjs

ExecJS lets you run JavaScript code from Ruby.

This dependency is up-to-date. Congrats and keep going!

Gems extras ~> 0.2 0.3.0

extras

Add some neat little extras into your Ruby stuff.

This dependency is up-to-date. Congrats and keep going!

Gems fastimage >= 1.8, ~> 2.0 2.1.0

fastimage

FastImage finds the size or type of an image given its uri by fetching as little as needed.

This dependency is up-to-date. Congrats and keep going!

Gems font-awesome-sass ~> 4.4 4.7.0

font-awesome-sass

Font-Awesome SASS gem for use in Ruby projects

This dependency is up-to-date. Congrats and keep going!

Gems image_optim ~> 0.25 0.26.0

image_optim

Optimize (lossless compress, optionally lossy) images (jpeg, png, gif, svg) using external utilities (advpng, gifsicle, jhead, jpeg-recompress, jpegoptim, jpegrescan, jpegtran, optipng, pngcrush, pngout, pngquant, svgo)

This dependency is up-to-date. Congrats and keep going!

Gems image_optim_pack ~> 0.5 0.5.0.20171101

image_optim_pack

Precompiled binaries for image_optim: advpng, gifsicle, jhead, jpeg-recompress, jpegoptim, jpegtran, optipng, pngcrush, pngquant

This dependency is up-to-date. Congrats and keep going!

Gems jekyll < 4.0, >= 3.5 3.6.2

jekyll

Jekyll is a simple, blog aware, static site generator.

This dependency is up-to-date. Congrats and keep going!

Gems jekyll-sanity ~> 1.2 1.2.0

jekyll-sanity

Patches to make Jekyll less insane and easier

This dependency is up-to-date. Congrats and keep going!

Gems liquid-tag-parser ~> 1.0 1.8.0

liquid-tag-parser

Parse liquid tags easily

This dependency is up-to-date. Congrats and keep going!

Gems mini_magick ~> 4.2 4.8.0

mini_magick

Manipulate images with minimal use of memory via ImageMagick / GraphicsMagick

This dependency is up-to-date. Congrats and keep going!

Gems nokogiri ~> 1.8 1.8.1

nokogiri

Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser. Among Nokogiri's many features is the ability to search documents via XPath or CSS3 selectors.

This dependency is up-to-date. Congrats and keep going!

Gems pathutil ~> 0.16 0.16.0

pathutil

Like Pathname but a little less insane.

This dependency is up-to-date. Congrats and keep going!

Gems rake >= 0 12.3.0

rake

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * Supports parallel execution of tasks.

This dependency is up-to-date. Congrats and keep going!

Gems sprockets < 4.1.beta, >= 3.3 3.7.1

sprockets

Sprockets is a Rack-based asset packaging system that concatenates and serves JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.

This dependency is up-to-date. Congrats and keep going!

Gems uglifier >= 0 3.2.0

uglifier

Uglifier minifies JavaScript files by wrapping UglifyJS to be accessible in Ruby

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems luna-rspec-formatters >= 0 3.10.0

luna-rspec-formatters

RSpec formatters that are dedicated to Luna.

This dependency is up-to-date. Congrats and keep going!

Gems rspec ~> 3.4 3.7.0

rspec

BDD for Ruby

This dependency is up-to-date. Congrats and keep going!

Gems rubocop >= 0 0.51.0

rubocop

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

This dependency is up-to-date. Congrats and keep going!

Gems simplecov >= 0 0.15.1

simplecov

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

This dependency is up-to-date. Congrats and keep going!